.global-search-container .contents {
  position: relative;
  z-index: 3;
  width: 700px;
  margin: 0 auto;
}

/* HTML: <div class="loader"></div> */
.loader {
  width: 32px;
  padding: 8px;
  aspect-ratio: 1;
  border-radius: 50%;
  background: #25b09b;
  --_m: conic-gradient(#0000 10%, #000), linear-gradient(#000 0 0) content-box;
  -webkit-mask: var(--_m);
  mask: var(--_m);
  -webkit-mask-composite: source-out;
  mask-composite: subtract;
  animation: l3 1s infinite linear;
}
@keyframes l3 {
  to {
    transform: rotate(1turn);
  }
}

/* Loading Calendar */
.loadingCalendar {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  z-index: 2;
  -webkit-backdrop-filter: blur(4px);
  backdrop-filter: blur(4px);
  top: 0;
  left: 0;
}

.loadingCalendar .loader-container {
  border: none;
  background-color: #fff;
  padding: 10px 20px;
  display: flex;
  align-items: center;
  gap: 15px;
  font-size: 0.875rem;
  border-radius: 0.25rem;
  box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 8px 10px -6px rgba(0, 0, 0, 0.1);
}

.loadingCalendar .loader {
  border: 4px solid rgba(0, 0, 0, 0.1);
  border-left-color: transparent;
  width: 23px;
  height: 23px;
  border-radius: 50%;
  animation: spin360 1s linear infinite;
}

@keyframes spin360 {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
